Sign in

By Area (cargos da área)

GET https://{organization}.myguper.com/api/register/team/area/{areaId}/position

Lista flat de todos os cargos da área (não recursivo). Para a estrutura hierárquica completa, use o endpoint Tree.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Path parameters

Name Type Description
areaId * integer ID da área.

Responses

[
    { "id": 10, "areaId": 2, "parentId": null, "name": "Diretor de Marketing", "description": null, "data": null },
    { "id": 11, "areaId": 2, "parentId": 10,   "name": "Gerente de Performance", "description": null, "data": null },
    { "id": 12, "areaId": 2, "parentId": 11,   "name": "Analista de SEO",        "description": null, "data": null }
]
Copied to clipboard